LibreOffice LibreOffice 6.2 SDK API Reference

List of all members
Primitive2DTools Service Reference

Service that describes the necessary interfaces and properties for tooling involved with XPrimitive2D interfaces. More...

`import"Primitive2DTools.idl";`

Inheritance diagram for Primitive2DTools:

## Additional Inherited Members
Public Member Functions inherited from XPrimitive2DRenderer
com::sun::star::rendering::XBitmap | rasterize ([in] sequence< XPrimitive2D > Primitive2DSequence, [in] sequence< ::com::sun::star::beans::PropertyValue > aViewInformationSequence, [in] unsigned long DPI_X, [in] unsigned long DPI_Y, [in] ::com::sun::star::geometry::RealRectangle2D Range, [in] unsigned long MaximumQuadraticPixels)
| return rasterized version of given XPrimitive2D More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service that describes the necessary interfaces and properties for tooling involved with XPrimitive2D interfaces.

The documentation for this service was generated from the following file:

- com/sun/star/graphic/Primitive2DTools.idl